{% extends 'base.html.twig' %}

{% block title %}Admission index{% endblock %}

{% block body %}
    <h1>Admission index</h1>
    <a href="{{ path('admission_new') }}">Create new</a>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Entry Date</th>
                <th>Exit Date</th>
                <th>Room</th>
                <th>Patient</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for admission in admissions %}
            <tr>
                <td>{{ admission.id }}</td>
                <td>{{ admission.EntryDate ? admission.EntryDate|date('Y-m-d') : '' }}</td>
                <td>{{ admission.ExitDate ? admission.ExitDate|date('Y-m-d') : '' }}</td>
                <td>{{ admission.RoomAdmissions }}</td>
                <td>{{ admission.PatientAdmissions }}</td>

                <td>
                    <a href="{{ path('admission_show', {'id': admission.id}) }}">show</a>
                    <a href="{{ path('admission_edit', {'id': admission.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
